Bug 1526429 - Review Request: electron-cash - A lightweight Bitcoin Cash client
Summary: Review Request: electron-cash - A lightweight Bitcoin Cash client
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-15 12:47 UTC by Jonny Heggheim
Modified: 2017-12-29 18:44 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-29 18:44:35 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Jonny Heggheim 2017-12-15 12:47:47 UTC
Spec URL: https://jonny.fedorapeople.org/electron-cash.spec
SRPM URL: https://jonny.fedorapeople.org/electron-cash-3.0-1.fc26.src.rpm
Fedora Account System Username: jonny
Description: Electron Cash is an easy to use Bitcoin Cash client. It protects you from losing
coins in a backup mistake or computer failure, because your wallet can
be recovered from a secret phrase that you can write on paper or learn
by heart. There is no waiting time when you start the client, because
it does not download the Bitcoin block chain.

Comment 1 Jonny Heggheim 2017-12-15 12:48:46 UTC
Koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=23703367

Comment 2 Jonny Heggheim 2017-12-15 12:51:58 UTC
Updated spec file to include Cash in summary + fixed date/version in changelog

Comment 3 Robert-André Mauchin 2017-12-16 00:37:44 UTC
 - Not needed for Fedora > 24:

%post
/usr/bin/update-desktop-database &> /dev/null || :

%postun
/usr/bin/update-desktop-database &> /dev/null || :

 - appdata shall now be installed in %{_datadir}/metainfo/:

install -Dpm 644 %{SOURCE3} %{buildroot}%{_datadir}/metainfo/%{name}.appdata.xml

   Check:

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*.appdata.xml

   And in %files:

%{_datadir}/metainfo/%{name}.appdata.xml

 - License  "and BSD" → What parts of the code is BSD? Add a comment explaining the license breakdown.

 - Be a bit more specific in %files:

%{python3_sitelib}/electroncash*
%{python3_sitelib}/Electron_Cash-3.0-py?.?.egg-info


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[?]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[!]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: electron-cash-3.0-1.fc28.noarch.rpm
          electron-cash-3.0-1.fc28.src.rpm
electron-cash.noarch: W: no-manual-page-for-binary electron-cash
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 4 Jonny Heggheim 2017-12-16 23:18:39 UTC
Thanks for doing the review.

(In reply to Robert-André Mauchin from comment #3)
>  - Not needed for Fedora > 24:
> 
> %post
> /usr/bin/update-desktop-database &> /dev/null || :
> 
> %postun
> /usr/bin/update-desktop-database &> /dev/null || :

Thanks, I did not know, will update my other packages also.

>  - appdata shall now be installed in %{_datadir}/metainfo/:
> 
> install -Dpm 644 %{SOURCE3}
> %{buildroot}%{_datadir}/metainfo/%{name}.appdata.xml
> 
>    Check:
> 
> %check
> appstream-util validate-relax --nonet
> %{buildroot}/%{_datadir}/metainfo/*.appdata.xml
> 
>    And in %files:
> 
> %{_datadir}/metainfo/%{name}.appdata.xml

Thanks, I was not aware of this change.

>  - License  "and BSD" → What parts of the code is BSD? Add a comment
> explaining the license breakdown.

Good catch, there was a socks.py with BSD license in an earlier version that have been removed. Will change the license to MIT only.

>  - Be a bit more specific in %files:
> 
> %{python3_sitelib}/electroncash*
> %{python3_sitelib}/Electron_Cash-3.0-py?.?.egg-info

Will update

Comment 5 Jonny Heggheim 2017-12-16 23:27:29 UTC
I have updated the spec file with the changes suggested by you:

Spec URL: https://jonny.fedorapeople.org/electron-cash.spec
SRPM URL: https://jonny.fedorapeople.org/electron-cash-3.0-1.fc26.src.rpm

Koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=23741690

Comment 6 Robert-André Mauchin 2017-12-16 23:37:36 UTC
All good, package approved.

Comment 7 Jonny Heggheim 2017-12-17 00:02:25 UTC
Thanks

Comment 8 Gwyn Ciesla 2017-12-18 12:26:52 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/electron-cash. You may commit to the branch "f27" in about 10 minutes.

Comment 9 Fedora Update System 2017-12-18 20:59:27 UTC
electron-cash-3.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b329e6d79d

Comment 10 Fedora Update System 2017-12-19 22:48:41 UTC
electron-cash-3.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b329e6d79d

Comment 11 Fedora Update System 2017-12-29 18:44:35 UTC
electron-cash-3.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.